### Method

# EBackend CollectionBackend authenticate_children

since: 3.16

#### Declaration [src]

    void
    e_collection_backend_authenticate_children (
      ECollectionBackend* backend,
      const ENamedParameters* credentials
    )

#### Description [src]

Authenticates all enabled children sources with the given `crendetials`. This is usually called when the collection source successfully used the `credentials` to connect to the (possibly) remote data store, to open the childern too. Already connected child sources are skipped.

Available since: 3.16

#### Parameters

`credentials`

  Type: `ENamedParameters`

  Credentials to authenticate with.

  The data is owned by the caller of the method.